# -*- coding: UTF-8 -*-
from bilibili_files.utils.setting import Audio_path,Audio_format,Synth_path,Video_format,Video_path
from moviepy.editor import VideoFileClip, AudioFileClip
from bilibili_files.utils.GetVideoInfo import GetVideoInfo,GetAudioInfo
from bilibili_files.utils.Save_bili import Saveaudio,Savevideo


if __name__ == '__main__':
    title,video_url = GetVideoInfo()
    Savevideo(title,video_url)
    audio_url = GetAudioInfo()
    Saveaudio(title,audio_url)

    # 加载视频和音频文件
    audio_path = fr"{Audio_path}{title}{Audio_format}"
    audio_clip = AudioFileClip(audio_path)
    video_path = fr"{Video_path}{title}{Video_format}"
    video_clip = VideoFileClip(video_path)

    audio_clip = audio_clip.set_duration(video_clip.duration)

    video_clip_with_audio = video_clip.set_audio(audio_clip)

    video_clip_with_audio.write_videofile(fr"{Synth_path}{title}{Video_format}", codec="libx264", audio_codec="aac")